/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include "CallMgr.h"
#include "Directory.h"
#include "Module.h"
#include "StreamMgr.h"

namespace Blinker {

/**
 * @brief constructor
 * @param[in] callMgr callback manager
 * @param[in] streamMgr stream manager
 * @param[in] dirBase base directory
 */
Module::Module(CallMgr &callMgr, StreamMgr &streamMgr,
               const Directory &dirBase):
  m_callMgr(callMgr),
  m_streamMgr(streamMgr),
  m_dirBase(dirBase)
{
}

/// virtual destructor
Module::~Module()
{
}

} // namespace Blinker

